<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="admin-profile.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

  <header>
    <nav>
      <div class="container">
        <div class="nav-grid">
        <div class="logo">
          <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
        </div>
        <div class="fr">
          <ul class="menu">
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Q&A Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/home']">Admin Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/webboard']">Webboard</a></li>
            <li><i class="fa fa-users"></i><a [routerLink]="['/admin/user']">Admin list</a></li>
            <li><i class="fas fa-sign-out-alt"></i><a (click)="logout()">Logout</a></li>
          </ul>
        </div>
        </div>
      </div>
    </nav>
  </header>

  <section class="content">
    <div class="container">
      <div class="content-heading">
        <h1>Admin Management</h1>
      </div>
      
      <div class="content-services">
      <div class="content-services-button">
        <button class="button" [routerLink]="['/admin/user/add']"><i class="fas fa-plus"></i> Add Admin</button>
      </div>
        <div class="content-services-table">

          <table class="table table-borderless" >
            <thead class="table-heading">
              <tr>
                <th scope="col" >ID</th>
                <th scope="col">Username</th>
                <th scope="col" >Fullname</th>
                <th scope="col">Password</th>
                <th scope="col">Email</th>
                <th scope="col">Google Id</th>
                <th scope="col">Thumbnail</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody class="table-body">
              <tr *ngFor="let admin of admins">
                <td id="table-id">{{admin.id}}</td>
                <td id="table-username">{{admin.username}}</td>
                <td id="table-fullname">{{admin.fullname}}</td>
                <td id="table-password">{{admin.password}}</td>
                <td id="table-email">{{admin.email}}</td>
                <td id="table-google_id">{{admin.google_id}}</td>
                <td id="table-thumbnail">{{admin.thumbnail}}</td>
                <td>
                  <a [routerLink]="['/admin/user/edit/', admin.id]"><i class="far fa-edit"></i></a> 
                  <a (click)="deleteAdmin(admin.id)"><i class="far fa-trash-alt"></i></a>
                </td> 
              </tr>
            </tbody>
          </table>

        </div>

      </div>

    </div>
  </section>

</body>
</html>
<!-- <header>

  <div class="row">
  <div class="toolbar" role="banner">
    <img width="auto" alt="MFU Logo" src="/assets/picproject/Logo.png"/>
    <nav>
    <ul>
      <li><a [routerLink]="['/user']">Q&A</a></li>
      <li><a [routerLink]="['/admin/home']">Question</a></li>
      <li><a [routerLink]="['/admin/user']">User</a></li>
      <li><a (click)="logout()">Logout</a></li>
    </ul> 
  </nav>
  </div>
</div>
  </header>
  
    <body *ngIf="isLoadingResults">
    <form>
      <div class="row">
        <div class="jumbotron jumbotron-fluid"  id="jumbo8">
      <div class="container">
        <h1 class="display-4">User Managemant</h1>
    </div>
    </div>  
      </div>
    <div class="row">
      <div class="col-sm-4">
      <button class="btn btn-primary" type="button" id="btn-addQuestion" [routerLink]="['/admin/user/add']" >Add User</button>
      </div>
    </div>
  
    <table class="table table-striped">
      <thead class="thead-dark">
        <tr>
          <th scope="col" >ID</th>
          <th scope="col">Username</th>
          <th scope="col" >Fullname</th>
          <th scope="col">Password</th>
          <th scope="col">Email</th>
          <th scope="col">Google Id</th>
          <th scope="col">Thumbnail</th>
          <th scope="col">Action</th>
          
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let admin of admins">
          <td id="table-id">{{admin.id}}</td>
          <td id="table-username">{{admin.username}}</td>
          <td id="table-fullname">{{admin.fullname}}</td>
          <td id="table-password">{{admin.password}}</td>
          <td id="table-email">{{admin.email}}</td>
          <td id="table-google_id">{{admin.google_id}}</td>
          <td id="table-thumbnail">{{admin.thumbnail}}</td>
          <td>
            <a [routerLink]="['/admin/user/edit/', admin.id]"><img src="/assets/picproject/Setting.png" alt="Setting icon" style="margin-left: 5px; margin-bottom: 5px;"></a> 
            <br>
            <a (click)="deleteAdmin(admin.id)"><img src="/assets/picproject/Delete_ADmin.png" alt="Delete icon" style="margin-left: 5px; cursor: pointer;"></a>
          </td> 
        </tr>
      
      </tbody>
    </table>
  </form>
  </body> -->
  
  
    
    
    
    
    
    
    
    
    
    
    
    
    
         
    
    
    